168c:0032 ath3k built-in bluetooth cannot load firmware - sporadic

Bug #1260825 reported by Fuujuhi on 2013-12-13
104
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This is on an ASUS N550JV. Basically, the Bluetooth is sporadically available after restart/login. When not available, we get an error msg in dmesg about a patch that failed to load.

$ sudo lsusb -v
Bus 003 Device 016: ID 13d3:3402 IMC Networks
Device Descriptor:
  bDeviceProtocol 1 Bluetooth
  idVendor 0x13d3 IMC Networks
  idProduct 0x3402
  bcdDevice 0.02
  iManufacturer 1 Atheros Communications
  iProduct 2 Bluetooth USB Host Controller
  iSerial 3 Alaska Day 2006

$ sudo lspci
04:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)

dmesg:
[ 13.663135] Bluetooth: Error in firmware loading err = -110,len = 448, size = 4096
[ 13.663173] Bluetooth: Loading patch file failed
[ 13.663198] ath3k: probe of 3-5:1.0 failed with error -110
[ 13.663229] usbcore: registered new interface driver ath3k

Things already tried (to no much avail):
- Update BIOS to latest version
- Install "bluetooth" package
- Enable ath9k bt coexistence (as per http://5thpeephole.blogspot.be/2013/10/install-ubuntu-1310-in-asus-n550jv.html)
- unload / reload ath3k module:
$ sudo modprobe -r ath3k; sleep 1; sudo modprobe ath3k

Upstream URL: http://article.gmane.org/gmane.linux.bluez.kernel/48232

---
ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
Dependencies:

DistroRelease: Ubuntu 13.10
InstallationDate: Installed on 2013-12-07 (5 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MarkForUpload: True
Package: linux-firmware 1.116
PackageArchitecture: all
ProcVersionSignature: Ubuntu 3.11.0-14.21-generic 3.11.7
Tags: saucy
Uname: Linux 3.11.0-14-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:
---
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: marie 2252 F.... pulseaudio
 /dev/snd/controlC0: marie 2252 F.... pulseaudio
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=b1848df9-3a67-4cb5-b9c4-1857d2d1f57b
InstallationDate: Installed on 2013-12-07 (134 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: ASUSTeK COMPUTER INC. N550JV
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-24-generic.efi.signed root=UUID=6d1c5f5b-76e4-467b-9de2-e50ec2279947 ro quiet splash acpi_osi= vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-24-generic N/A
 linux-backports-modules-3.13.0-24-generic N/A
 linux-firmware 1.127
StagingDrivers: rts5139
Tags: trusty staging
Uname: Linux 3.13.0-24-generic x86_64
UpgradeStatus: Upgraded to trusty on 2014-04-20 (1 days ago)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 11/19/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N550JV.208
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: N550JV
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN550JV.208:bd11/19/2013:svnASUSTeKCOMPUTERINC.:pnN550JV:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnN550JV:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: N550JV
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

apport information

tags: added: apport-collected
description: updated
description: updated
Fuujuhi (fuujuhi) wrote :

Sorry for the duplicate ProcEnviron thing.

Apparently apport-collect does not want to upload the configuration files ^^. So I'll attach some files manually...

Fuujuhi (fuujuhi) wrote :
Fuujuhi (fuujuhi) wrote :
Fuujuhi (fuujuhi) wrote :
Fuujuhi (fuujuhi) wrote :
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.13 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc3-trusty/

Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Fuujuhi (fuujuhi) wrote :

Hi Joseph,

Thanks for the quick reply.

I installed the kernel v3.13-rc3-trusty, and booted several times. There seems to be no change compared to previous 3.11 kernel from Saucy, i.e. on 4 boots, BT failed 3 times and succeeded once.

So I tag this bug with 'kernel-bug-exists-upstream' and mark it 'Confirmed'.

$ uname -a
Linux zyratastic 3.13.0-031300rc3-generic #201312061335 SMP Fri Dec 6 18:37:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

tags: added: kernel-bug-exists-upstream
Changed in linux-firmware (Ubuntu):
status: Incomplete → Confirmed

Fuujuhi, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux REPLACE-WITH-BUG-NUMBER

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.13

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

description: updated
tags: added: kernel-bug-exists-upstream-3.13-rc3 needs-upstream-testing
removed: kernel-bug-exists-upstream
tags: added: needs-kernel-logs
affects: linux-firmware (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: alper 3692 F.... pulseaudio
 /dev/snd/controlC0: alper 3692 F.... pulseaudio
DistroRelease: Ubuntu 13.10
HibernationDevice: RESUME=UUID=18cf254a-abd9-49a7-8ec4-3ff220aca01c
InstallationDate: Installed on 2013-12-09 (57 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: ASUSTeK COMPUTER INC. N550JV
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-15-generic.efi.signed root=UUID=1c595d53-df8a-4e6f-9ed8-811a649a34e3 ro quiet splash acpi_osi= vt.handoff=7
ProcVersionSignature: Ubuntu 3.11.0-15.25-generic 3.11.10
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-15-generic N/A
 linux-backports-modules-3.11.0-15-generic N/A
 linux-firmware 1.116
StagingDrivers: rts5139
Tags: saucy staging
Uname: Linux 3.11.0-15-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm bluetooth cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 09/17/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N550JV.207
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: N550JV
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN550JV.207:bd09/17/2013:svnASUSTeKCOMPUTERINC.:pnN550JV:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnN550JV:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: N550JV
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

tags: added: staging

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

alperyilmaz (alperyilmaz) wrote :

I had the same problem with same model laptop, and I wanted to upload more data so that developers pinpoint the problem. I ran:
apport-collect -p linux 1260825

and it attached so many files. I hope there's no sensitive information :(
Sorry if they are too many files.

Looks like fuujuhi did the upstream kernel testing, but latest development release testing still remains. I would like to contribute by doing latest development release testing. If I boot with development version via live-USB, would that suffice? Do I need to install the development version?

Thanks..

alperyilmaz, please do not apport-collect to another person's report. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: removed: staging
Download full text (7.3 KiB)

Hi Christopher,

I ran the development version of Ubuntu and then tested bluetooth and it
works.

I filed the bug (#1277528) and I subscribed you to it.

I hope I did everything right.

Yrd.Doç.Dr. Alper YILMAZ
Biyomühendislik Bölümü
Kimya-Metalurji Fakültesi
Yıldız Teknik Üniversitesi
Davutpaşa, 34210, Esenler, İstanbul
Tel: 0.212.383-4657
Faks: 0.212.383-4625

~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

Assist.Prof.Dr. Alper YILMAZ
Department of Bioengineering
Faculty of Chemical and Metallurgical Engineering
Yildiz Technical University
Esenler, Istanbul/TURKEY 34210
Phone: +90.212.383-4657 (office)
Fax: +90.212.383-4625

On Thu, Feb 6, 2014 at 12:47 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> alperyilmaz, please do not apport-collect to another person's report. So
> your hardware and problem may be tracked, could you please file a new
> report with Ubuntu by executing the following in a terminal while booted
> into a Ubuntu repository kernel (not a mainline one) via:
> ubuntu-bug linux
>
> For more on this, please read the official Ubuntu documentation:
> Ubuntu Bug Control and Ubuntu Bug Squad:
> https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
> Ubuntu Kernel Team:
> https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
> Ubuntu Community:
> https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette
>
> When opening up the new report, please feel free to subscribe me to it.
>
> Thank you for your understanding.
>
> Helpful bug reporting tips:
> https://wiki.ubuntu.com/ReportingBugs
>
> ** Tags removed: staging
>
> ** Attachment removed: "WifiSyslog.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968841/+files/WifiSyslog.txt
>
> ** Attachment removed: "UdevLog.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968840/+files/UdevLog.txt
>
> ** Attachment removed: "UdevDb.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968839/+files/UdevDb.txt
>
> ** Attachment removed: "RfKill.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968838/+files/RfKill.txt
>
> ** Attachment removed: "PulseList.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968837/+files/PulseList.txt
>
> ** Attachment removed: "ProcModules.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968836/+files/ProcModules.txt
>
> ** Attachment removed: "ProcInterrupts.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968835/+files/ProcInterrupts.txt
>
> ** Attachment removed: "ProcEnviron.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968834/+files/ProcEnviron.txt
>
> ** Attachment removed: "ProcCpuinfo.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968833/+files/ProcCpuinfo.txt
>
> ** Attachment removed: "Lsusb.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825/+attachment/3968832/+files/Lsusb.txt
>
> ** Attachment removed: "Lspci.txt"
>
> https://bugs.launchpad.net/ubuntu/+s...

Read more...

Fuujuhi (fuujuhi) wrote :

I did not test yet with the latest daily build. I'll do so asap.

However, still on 12.10 with kernel 3.11.0-14-generic #21, I can recover Bluetooth if I turn on / off the antenna.

More precisely, at boot, I usually have wifi, but not bluetooth. If I turn off antenna via keyboard, I lose wifi, but get back bluetooth, and vice-versa.

Relating to bug report from alperyilmaz, I see his comment on "rfkill". So I did similar tests. Although I don't have BT, rfkill reports that BT is not RF blocked. But if I block / unblock BT, I can recover BT.

# Just after boot - I have wifi, but no bluetooth (no BT icon)
$ rfkill list

0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: asus-wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: asus-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no

# I kill RF for bluetooth, then restore it
sudo rfkill block bluetooth
sudo rfkill unblock bluetooth

$ rfkill list

0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: asus-wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: asus-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
3: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no

I rebooted several times, and this apparently succeeds all the time.

Fuujuhi (fuujuhi) wrote :

I cannot reproduce the desync between wifi RF and bluetooth RF using keyboard RF switch. Maybe that was a glitch due to long sleep / hibernate, or dual booting windows.

But the hick-up in rfkill list is confirmed.
I'll now try with the trusty daily build.

Fuujuhi (fuujuhi) wrote :

Hello,

So I tested the trusty daily build. I booted >5 times from DVD, and each time the bluetooth was detected and working fine. No patch error in dmesg.

But it can well be I was just lucky, because I booted once 13.10 in between, and bluetooth was working as well. I did also boot windows in between to trigger bluetooth failure, but trusty daily was still working fine at next boot.

So I would say the test is promising but not yet conclusive. I'll try again tomorrow or so.

-----

By the way, on 13.10, the sudo rfkill block / unblock does not always work. It seems that using the keyboard RF switch works better.

Uldis Kalniņš (ulcha) wrote :

Try to rebuild kernel without USB3 support. This chipset is known unstable with it. This bug is pretty same to
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1237296
Check with lsusb -t if affected device is bellow USB3 hub.

Fuujuhi (fuujuhi) wrote :

Hello,

I just ugpraded this laptop to U14.04 Trusty Tahr, and I still experience the same symptoms (bluetooth sporadically available).

The bluetooth is not below the USB3 hub it seems:

$ lsusb -t

/: Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/4p, 5000M
/: Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/14p, 480M
    |__ Port 3: Dev 2, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
    |__ Port 5: Dev 3, If 0, Class=Wireless, Driver=, 12M
    |__ Port 5: Dev 3, If 1, Class=Wireless, Driver=, 12M
    |__ Port 7: Dev 4, If 0, Class=Video, Driver=uvcvideo, 480M
    |__ Port 7: Dev 4, If 1, Class=Video, Driver=uvcvideo, 480M
    |__ Port 8: Dev 5, If 0, Class=Vendor Specific Class, Driver=rts5139, 480M
    |__ Port 10: Dev 15, If 0, Class=Human Interface Device, Driver=usbhid, 12M
/: Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/: Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M

$ lsusb -v

...
Bus 003 Device 003: ID 13d3:3402 IMC Networks
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
...

Fuujihi, could you please execute the following in a terminal:
apport-collect 1260825

tags: added: trusty

apport information

tags: added: staging
description: updated

apport information

Fuujuhi (fuujuhi) wrote : CRDA.txt

apport information

apport information

apport information

Fuujuhi (fuujuhi) wrote : Lspci.txt

apport information

Fuujuhi (fuujuhi) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

Fuujuhi (fuujuhi) wrote : RfKill.txt

apport information

Fuujuhi (fuujuhi) wrote : UdevDb.txt

apport information

apport information

apport information

Fuujuhi, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc2-trusty/ and advise to the results?

description: updated
tags: added: latest-bios-208
removed: needs-kernel-logs
Fuujuhi (fuujuhi) wrote :

Hello,

I tried with the latest 3.15-rc4, to no avail.

Basically, the bluetooth is sporadically available. Although, when available, it usually stays available for next reboot, even cold reboot. Apparently it takes long shutdown period / possible suspend / resume cycles to lose it again.

In attachment I'll join 3 dmesg.txt.

In the first one, we can see usb 3-5 failure, and BT patch loading failure.
In the second, there is no longer usb failure, but BT patch loading still fails.
In the third, both usb 3-5 and BT patch loading work.

(strangely the usb related messages are quite different in the first dmesg - note this is first run that boots 3.15rc4).

Fuujuhi (fuujuhi) wrote :
Fuujuhi (fuujuhi) wrote :
tags: added: kernel-bug-exists-upstream-3.15-rc4
removed: kernel-bug-exists-upstream-3.13-rc3 needs-upstream-testing

Fuujuhi, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Fuujuhi (fuujuhi) wrote :

FYI, I submitted the bug report upstream as per instruction.

description: updated
LE BIDEAU (elbc) wrote :

any news on this issue ?

LE BIDEAU (elbc) wrote :

Same issue for me with 0cf3:311f

Joshua (njj) wrote :

nope, bug still exists upstream and nobody seems to care... ath3k developement is nearlly dead

Fuujuhi (fuujuhi) wrote :

I confirm that I've still not found a solution to this problem.
Actually, this is not my pc, but my daugther's, so I'm not desperately looking for a solution right now.
In any case, I will report here of course if I find something, or if problem disappears after some update.

LE BIDEAU / Joshua, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

javelain (javelain) wrote :

I had the same problem with same model laptop.

javelain, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

LE BIDEAU (elbc) wrote :

any knews on this issue ?

Fuujuhi (fuujuhi) wrote :

None on my side. My upstream report triggered... 0 reaction.

Lately I bought an ASUS N750JK, exactly same problem.
I still don't have a solution. And using a separate BT dongle doesn't seem to be very stable either.

I don't know if there is a solution in the other tickets. Also, why all these requests to create new reports? It just seems to be a waste of time and resource, and makes finding a solution / tracking changes more difficult.

LE BIDEAU, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Fuujuhi:
>"Also, why all these requests to create new reports?"

Please see https://wiki.ubuntu.com/ReportingBugs .

>" It just seems to be a waste of time and resource,"

Again, see above.

"and makes finding a solution / tracking changes more difficult."

No it doesn't, as per above.

Fuujuhi (fuujuhi) wrote :

Hi Christopher,

Thanks for your reply, and trying to "enlight" me . I read the link you give, but still I don't see the logic.
Say that I'd have some time to look further in this bug, and trying different things. It is very difficult for me then to find reports with bug similar to mine. I see no relevant metadata in launchpad.

For instance:

- https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1351882

This one is very similar, same laptop, same hardware but strangely the USB device id are slightly different (IMC networks).
So not 100% duplicate, but clearly very related. We don't see this in launchpad.

- https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1349752

Similar bug, similar hardware but different vendor. Maybe same bug. Maybe not duplicate, but clearly related. In any case, we don't see that in launchpad.

- https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1277528

The report alperyilmaz. There was an interesting comment from Max Schwarz (xqms), and a possible user space fix.
Since it is a different report, I did not see it. In the meantime, the bug is flagged as "expired", so it does not even appear if you do a basic launchpad search.

Also, why not announce here people created a new bug report?
I personally would like to know it, so that at least I have a chance to register myself to them.

Wallcom (wallcom) wrote :

(After manually adding it to the Kernel and adding correct firmware (https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1394368)

I get the same Error with Atheros AR9462 Chipset [04ca:300d] (uses ath3k for Bluetooth)

[ 3.657288] usbcore: registered new interface driver ath3k
[ 4.025700] usb 2-5: new full-speed USB device number 6 using xhci_hcd
[ 4.154563] usb 2-5: New USB device found, idVendor=04ca, idProduct=300d
[ 4.154565] usb 2-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 4.710941] usbcore: registered new interface driver rtsx_usb
[ 7.155744] Bluetooth: Error in firmware loading err = -110,len = 448, size = 4096
[ 7.155756] Bluetooth: Loading patch file failed
[ 7.155765] ath3k: probe of 2-5:1.0 failed with error -110

Snubbe (riotroot) wrote :
Download full text (4.6 KiB)

I have the same problem with my Lenovo M30-70 with a Atheros WB335-card.

xxx@xxx:~$ uname -a
Linux xxx 3.18.2-031802-generic #201501082011 SMP Thu Jan 8 20:13:03 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

xxx@xxx:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty

Sometimes it works, but most of the time it doesn't.

This is when it DOESN'T work:

xxx@xxx:/var/log$ dmesg | grep -i ath
[ 14.675359] ath: phy0: WB335 2-ANT card detected
[ 14.675364] ath: phy0: Set BT/WLAN RX diversity capability
[ 14.682054] ath: phy0: Enable LNA combining
[ 14.683153] ath: EEPROM regdomain: 0x65
[ 14.683154] ath: EEPROM indicates we should expect a direct regpair map
[ 14.683157] ath: Country alpha2 being used: 00
[ 14.683158] ath: Regpair used: 0x65
[ 14.865275] ieee80211 phy0: Atheros AR9565 Rev:1 mem=0xffffc90011000000, irq=18
[ 17.549306] ath3k: probe of 1-7:1.0 failed with error -110
[ 17.549405] usbcore: registered new interface driver ath3k

snubbe@tiefighter:/var/log$ dmesg | grep -i blue
[ 14.157777] Bluetooth: Core ver 2.19
[ 14.157814] Bluetooth: HCI device and connection manager initialized
[ 14.157823] Bluetooth: HCI socket layer initialized
[ 14.157826] Bluetooth: L2CAP socket layer initialized
[ 14.157833] Bluetooth: SCO socket layer initialized
[ 17.549216] Bluetooth: Error in firmware loading err = -110,len = 448, size = 4096
[ 17.549270] Bluetooth: Loading patch file failed
[ 20.811258] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 20.811267] Bluetooth: BNEP filters: protocol multicast
[ 20.811282] Bluetooth: BNEP socket layer initialized
[ 20.833345] Bluetooth: RFCOMM TTY layer initialized
[ 20.833359] Bluetooth: RFCOMM socket layer initialized
[ 20.833367] Bluetooth: RFCOMM ver 1.11

lsusb -v:
Bus 002 Device 005: ID 0cf3:3004 Atheros Communications, Inc.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
  bMaxPacketSize0 64
  idVendor 0x0cf3 Atheros Communications, Inc.
  idProduct 0x3004
  bcdDevice 0.01
  iManufacturer 0
  iProduct 0
  iSerial 0
  bNumConfigurations 1

snubbe@tiefighter:~$ rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

This is when it WORKS:

snubbe@tiefighter:~$ dmesg | grep -i ath
[ 14.975603] ath: phy0: WB335 2-ANT card detected
[ 14.975608] ath: phy0: Set BT/WLAN RX diversity capability
[ 14.982539] ath: phy0: Enable LNA combining
[ 14.983794] ath: EEPROM regdomain: 0x65
[ 14.983797] ath: EEPROM indicates we should expect a direct regpair map
[ 14.983799] ath: Country alpha2 being used: 00
[ 14.983801] ath: Regpair used: 0x65
[ 15.012733] ieee80211 phy0: Atheros AR9565 Rev:1 mem=0xffffc90010f00000, irq=18
[ 15.224047] usbcore: registered new interface driver ath3...

Read more...

Pichalsi (pichalsi) wrote :

Hi
I have exactly the same problem -
[ 6.605042] Bluetooth: RFCOMM ver 1.11
[ 9.528354] Bluetooth: Error in firmware loading err = -110,len = 448, size = 4096
[ 9.528379] Bluetooth: Loading patch file failed
Any news for this issue? Is there any kernel version where this works?

Thanks
Michal

Fuujuhi / Simone Fabris, could you please test for this with the latest mainline kernel (4.4-rc4) and advise to the results?

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers